#
# spec file for package virt-bridge-setup
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

Name:           virt-bridge-setup
Version:        1.1
Release:        1.1
Summary:        Script to setup virtual bridges
License:        GPL-2.0-or-later
Group:          System/Management
URL:            https://github.com/aginies/virt-bridge-setup
Source0:        https://github.com/aginies/virt-bridge-setup/archive/refs/tags/%{version}.tar.gz
BuildArch:      noarch
Requires:       NetworkManager
BuildRequires:       make

%description
virt-bridge-setup is a script to automate the setup of virtual bridges using NetworkManager.
It simplifies the process of creating and managing network bridges for virtualization environments.

%prep
%setup -q

%build

%install
%make_install

%files
%license LICENSE
%doc README.md
%{_sysconfdir}
%attr(0755,root,root) %{_sbindir}/%{name}
%attr(0644,root,root) %{_sysconfdir}/systemd/network/98-default-bridge.link

%changelog
* Tue May 20 2025 Antoine Ginies <aginies@suse.com>
- version 1.1:
  * remove timeout to get IP address, this is adding wrong information
    and this is not reliable at all, purpose of the tool is to prepare
    the system not to replace network manager
  * remove simple option (add too much complexity in this basic tool)
  * connection name on the Ethernet/wifi interface is using "-brslave"
    appendix now
  * Fix issue with master_interface check
* Tue Apr 29 2025 Antoine Ginies <aginies@suse.com>
- version 1.0
  * fix issue for autoconnection=yes (bsc#1239445)
  * add an option for timeout (bsc#1239445)
* Thu Apr  3 2025 Antoine Ginies <aginies@suse.com>
- version 0.9:
  * add a forward-delay option
  * add an STP option
  * fix displaying error
* Mon Mar 24 2025 Antoine Ginies <aginies@suse.com>
- version 0.8:
  * delete the bridge connection will also delete the slave connection
  * add an option to force using the slave MAC address interface
  * default method will be complex, as simple doesn't work on TW/16
  * add a dry run option
  * typo fixes
* Mon Mar 24 2025 Antoine Ginies <aginies@suse.com>
- version 0.7:
  * use same MAC address as the master interface
  * add some more debug
  * Force creating another interface as master
* Tue Mar 18 2025 Antoine Ginies <aginies@suse.com>
- version 0.6:
  * avoid setting up bridge if no device link to a connection
  * bridge link to a slave interface
* Tue Mar 18 2025 Antoine Ginies <aginies@suse.com>
- version 0.5:
  * better logging
  * add debug option
  * improve connection modification
  * rename some VAR to avoid confusion
  * bsc#1239445
* Fri Mar  7 2025 Antoine Ginies <aginies@suse.com>
- use %%make_install
- use _service and fix url in spec file
* Thu Mar  6 2025 Antoine Ginies <aginies@suse.com>
- Do not clean buildroot in install section
- make is a buildRequires
- remove 'env' in the shebang
* Wed Mar  5 2025 Antoine Ginies <aginies@suse.com>
- 0.2 version: cosmetics fix in doc
* Tue Mar  4 2025 Antoine Ginies <aginies@suse.com>
- use bz2 tarball
- add README.md and Makefile
* Tue Mar  4 2025 Antoine Ginies <aginies@suse.com>
- initial release
